Package Details: smuxi-git 1.0.r120.gb1bca5b-1

Git Clone URL: https://aur.archlinux.org/smuxi-git.git (read-only)
Package Base: smuxi-git
Description: free, distributed and user-friendly IRC / Twitter / XMPP / Campfire / JabbR client for GNOME/GTK+ (frontends)
Upstream URL: https://www.smuxi.im/
Keywords: campfire gtk irc jabbr twitter xmpp
Licenses: GPL
Conflicts: smuxi
Provides: smuxi=1.0
Submitter: TrialnError
Maintainer: TrialnError
Last Packager: TrialnError
Votes: 2
Popularity: 0.000000
First Submitted: 2012-02-16 22:27
Last Updated: 2016-04-30 23:01

Latest Comments

TrialnError commented on 2014-05-03 00:55

@meebey: Added your suggestions

@ all: Soon the real Split-package support is added to the AUR (no ugly workarounds anymore) and then I will upload a PKGBuild that follows the one from the repos.
Due to the naming scheme it's important to install the smuxi-git package before the smuxi-server package (if needed), as I cannot add a conflict line to the smuxi-server package that conflicts the old smuxi-git package. It wouldn't allow the installation of the new one ;)

As a testbed I added the new PKGBuild to aur-dev, so if someone want to test it out it can be done. And please report issues.
https://aur-dev.archlinux.org/packages/?SeB=m&K=TrialnError
Both package detail pages offer a download for the same PKGBuild

meebey commented on 2014-04-24 16:49

Please update the Upstream URL to https://smuxi.im/

The description could also see some love like:
free, distributed and user-friendly IRC / Twitter / XMPP / Campfire / JabbR client for GNOME/GTK+

TrialnError commented on 2012-09-10 20:39

Ah, true. Previous it was installed with notify-sharp and since I moved it into opt...

Thanks for the correction :)

Roberth commented on 2012-09-10 14:35

This needs to depend on gtk-sharp-2.

TrialnError commented on 2012-06-10 23:24

Got a note that spellcheck is supported. Therefor is gtkspell. Buildtime enabled. So you should install (like the other optdeps) it beforehand makepkg.

And I corrected the Networkmanager Support Part. It's not done by dbus-core.
It's done by dbus-sharp-glib which is a dep of notify-sharp ([community] packages).
Also libindicate is more or less just for unity. So I commented out the last two lines in the package area. If you're using libindicate you should uncomment those two lines. But for the common it's unnecessary.

TrialnError commented on 2012-06-10 22:14

Got a note that spellcheck is supported. Therefor is gtkspell. Buildtime enabled. So you should install (like the other optdeps) it beforehand makepkg.

And I corrected the Networkmanager Support Part. It's not done by dbus-core.
It's done by dbus-sharp-glib which is a dep of notify-sharp ([community] packages).
Also libindicate is more or less just for unity

TrialnError commented on 2012-05-20 17:54

Recently added to smuxi:
- Like an easy join feature. Make it easier to join a channel (Shortcut ctr+l)
- Options for automatically switch to newly opened person/group chats

TrialnError commented on 2012-05-20 17:53

Added recently to smuxi:
- Like an easy join feature. Make it easier to join a channel (Shortcut ctr+l)
- Options for automatically switch to newly opened person/group chats

TrialnError commented on 2012-05-20 17:46

I made an overhaul of the PKGBuild.

I removed
--with-notify
--with-indicate
from depends and moved it into opt (and added dbus). These options are set to auto. If you have installed these things, it will be enabled.
Also the features provided by these options aren't necessary for everyone.
If necessary it's installed beforehand (indicate necessary for Messaging Menu in Unity/Gnome3. If you're using these DEs, you will have it installed otherwise. So I assume)

So.
If you need these features, install the packages before you build smuxi-git and you don't need to modify the pkgbuild.
Only necessary if you want to remove the stfl frontend or the jabber-engine or enable other features of smuxi.

TrialnError commented on 2012-05-20 17:45

I made an overhaul of the PKGBuild.

I removed
--with-notify
--with-indicate
from depends and moved it into opt (and added dbus). These options are set to auto. If you have installed these things it will be enabled.
Also the features provided by these options aren't necessary for everyone.
If necessary it's installed beforehand (indicate necessary for Messaging Menu in Unity/Gnome3. If you're using these DEs, you will have it installed otherwise. So I assume)

So.
If you need these features install the packages before you build smuxi-git and you don't need to modify the pkgbuild.
Only necessary it you want to remove the stfl frontend or the jabber-engine

All comments